Bug Hunting Session
Bug 104050 - Add Breeze palette
Summary: Add Breeze palette
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:5.3.0 target:5.4.0 target:5.3.1
Keywords: needsUXEval
Depends on:
Blocks: Color-Palettes
  Show dependency treegraph
 
Reported: 2016-11-20 07:08 UTC by Heiko Tietze
Modified: 2017-01-25 12:49 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2016-11-20 07:08:39 UTC
As discussed in bug 80196 and in http://nabble.documentfoundation.org/quot-LibreColour-quot-palettes-for-LibreOffice-td4200043.html we should update the palettes. And Breeze is a modern color theme.
Comment 1 Heiko Tietze 2016-11-20 22:02:06 UTC
https://gerrit.libreoffice.org/#/c/31012/1
Comment 2 Commit Notification 2016-11-21 07:56:35 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e0d48f8de12155cac6b454836c1844c7daa09f29

tdf#104050 - Add Breeze palette

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Yousuf Philips (jay) (retired) 2016-11-22 16:11:08 UTC
Breeze isnt a color theme used anywhere else than KDE, so there isnt a need for it as a bundled palette, IMHO.
Comment 4 Commit Notification 2016-12-13 18:38:56 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=841ef7154ba7b287666767bfa6b48f4d0bb63c10

tdf#104050 - Add Breeze palette

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Jean-Baptiste Faure 2017-01-14 07:31:37 UTC
The first commit is for LO 5.3 and the second for 5.4. Do you plan to backport the second commit to 5.3 ?

Best regards. JBF
Comment 6 Heiko Tietze 2017-01-14 08:31:17 UTC
(In reply to Jean-Baptiste Faure from comment #5)
> The first commit is for LO 5.3 and the second for 5.4. Do you plan to
> backport the second commit to 5.3 ?
> 
> Best regards. JBF

In the first patch I missed to change the make file. Both changes should go into 5.3 and 5.4 (and are in, AFAIK).
Comment 7 Jean-Baptiste Faure 2017-01-17 21:00:36 UTC
(In reply to Heiko Tietze from comment #6)
> (In reply to Jean-Baptiste Faure from comment #5)
> > The first commit is for LO 5.3 and the second for 5.4. Do you plan to
> > backport the second commit to 5.3 ?
> > 
> > Best regards. JBF
> 
> In the first patch I missed to change the make file. Both changes should go
> into 5.3 and 5.4 (and are in, AFAIK).

May I suggest you to check? In both my own build (5.3.1.0.0+) and the deb archive of 5.3.0.RC1 the Breeze palette is missing. To check the deb archive, open the file libobasis5.3-core_5.3.0.1-1_amd64.deb from LibreOffice_5.3.0.1_Linux_x86-64_deb.tar.gz with your preferred archive software, then open data.tar.gz and in the tree go to  /./opt/libreoffice5.3/share/palette/ where you do not see the expected file breeze.soc

Best regards. JBF
Comment 8 Heiko Tietze 2017-01-18 19:59:42 UTC
(In reply to Jean-Baptiste Faure from comment #7)
> May I suggest you to check?

Please do so ;-). Missed the soc file in my local configuration.
Comment 9 Commit Notification 2017-01-18 23:29:35 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=99c4b9effe38917eb2063d15aed0d879508c110e&h=libreoffice-5-3

tdf#104050 - Add Breeze palette

It will be available in 5.3.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 10 Jean-Baptiste Faure 2017-01-19 08:09:42 UTC
(In reply to Commit Notification from comment #9)
> heiko tietze committed a patch related to this issue.
> It has been pushed to "libreoffice-5-3":
> 
> http://cgit.freedesktop.org/libreoffice/core/commit/
> ?id=99c4b9effe38917eb2063d15aed0d879508c110e&h=libreoffice-5-3
> 
> tdf#104050 - Add Breeze palette
> 
> It will be available in 5.3.1.

Thank you very much, I now have Breeze palette.

Best regards. JBF
Comment 11 Commit Notification 2017-01-25 12:49:46 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "libreoffice-5-3-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=fd48f44af5d888eb5f6d4fe549e5aa77ca1d5dd9&h=libreoffice-5-3-0

tdf#104050 - Add Breeze palette

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.